Bug 232163 - x11/guake: Update to 3.4.0 and request maintainer change
Summary: x11/guake: Update to 3.4.0 and request maintainer change
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL: https://reviews.freebsd.org/D17726
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-10 20:55 UTC by Daniel Shafer
Modified: 2018-11-10 19:17 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments
x11/guake port patch (3.73 KB, patch)
2018-10-10 20:55 UTC, Daniel Shafer
no flags Details | Diff
build.log (73.16 KB, text/plain)
2018-10-10 20:55 UTC, Daniel Shafer
no flags Details
updated guake.diff (29.95 KB, patch)
2018-10-12 04:32 UTC, Daniel Shafer
no flags Details | Diff
guake.diff (29.96 KB, patch)
2018-10-17 02:56 UTC, Daniel Shafer
no flags Details | Diff
Update x11/guake to version 3.4.0 (26.24 KB, patch)
2018-10-26 17:36 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Shafer 2018-10-10 20:55:02 UTC
Created attachment 198014 [details]
x11/guake port patch

I have updated the port x11/guake to 3.4.0, converted to use PyPi (CHEESESHOP) and worked with the Python team to make it adhere to the proper standards.

As this port has not been updated in years, I would also like to volunteer to take full maintainership of the port.

Attached is the diff to update the port in the ports tree.
Comment 1 Daniel Shafer 2018-10-10 20:55:45 UTC
Created attachment 198015 [details]
build.log

poudriere build log for Guake 3.4.0
Comment 2 Alexandre C. Guimarães freebsd_committer 2018-10-11 02:35:43 UTC
Hi.

A few things:

1 - the package name should change to py-Guake. The 'py-' because it is a python port and 'Guake' because it is how the source is called. So, no need to set DISTNAME.

See: https://wiki.freebsd.org/Python/PortsPolicy
Example: https://www.freshports.org/x11-themes/Kvantum/

2 - to change the name, the better option is to use 'svn move', then you need to modify x11/Makefile to remove x11/guake and add x11/py-Guake (in alphabetical order).

3 - categories: 'x11 python'. Guake is not part of Gnome collection.

4 - not mandatory but it is appreciated to have stuff sorted alphabetically, like in RUN_DEPENDS, USES etc.

Cheers!
Comment 3 Daniel Shafer 2018-10-11 04:08:47 UTC
So I have an argument about using the name py-Guake.

1) Regardless of Guake being in PyPi, it is by no means a Python module.  Guake is a desktop application, a drop down terminal for Gnome.

2) Every single distribution out there refers to Guake, simply as "guake" in their package systems.  Making it py-Guake will confuse people and misdirect.

3) Guake requires Python 3.5 or higher.  I did not fully agree with concurrent being enabled or used, because, since Guake is a desktop application, it is not meant to have multiple copies.

4) Requiring ANY and ALL packages written in Python to have py-* again is very confusing, as every other distribution adds python- or py to specify it being a python module.  Again, this is NOT a module and is a full application.

5) Finally, there are lots and lots of  or py to specify it being a python module.  Again, this is NOT a module and is a full application.

5) Finally, there are lots and lots of packages that are written in Python which are not required to follow this structure, so why must it be enforced in Guake?

---

I will be happy to remove gnome from the categories, however, this application is specifically written for Gnome.  There are specific Gnome dependencies as well so USE_GNOME or USES = gnome are still needed.

---

Thanks for your feedback!
Comment 4 Daniel Shafer 2018-10-11 04:12:10 UTC
My wrist hit my touchpad and messed up my typing.

To reiterate:

5) Finally, there are lots and lots of  or py to specify it being a python module.  Again, this is NOT a module and is a full application.

Kindly ignore the 1st 5) item.  Thanks!
Comment 5 Alexandre C. Guimarães freebsd_committer 2018-10-11 06:33:59 UTC
(In reply to Daniel Shafer from comment #3)

As I already told you in IRC you did a great job in this port however rules are rules and I am not the one with power to approve deviations. I've just pointed you what the current rules say.

So, it is up to the maintainer to approve it as-is, but I advise you to open a review on the Phab, and beyond the maintainer also add @python and @portmgr and try to convince them.

https://reviews.freebsd.org/

If they approve, I will be glad to commit it.

Thank you.
Comment 6 Daniel Shafer 2018-10-11 06:46:28 UTC
You can close this.  Don't wish to maintain this port anymore.

Thanks.
Comment 7 Daniel Shafer 2018-10-12 04:31:23 UTC
After discussing with someone in #freebsd-python:

Guake is considered a valid exception to the rules specified.

Guake runs on Python 3.5+, and only one instance can be ran at a time.
As this is a desktop application, with networkmgr being another example of this exception.

I have cleaned up the Makefile, and fixed a problem.  I am attaching that final diff, and if you guys wish to approve it, I will be more than happy to maintain it.  If not, then happy trails
Comment 8 Daniel Shafer 2018-10-12 04:32:08 UTC
Created attachment 198057 [details]
updated guake.diff
Comment 9 Alexandre C. Guimarães freebsd_committer 2018-10-12 05:27:11 UTC
(In reply to Daniel Shafer from comment #7)

Nice! Now it just need to wait a bit. :-)
Comment 10 Daniel Shafer 2018-10-17 02:56:08 UTC
Created attachment 198252 [details]
guake.diff

Final copy of guake.diff, updated to satisfy portlint.
Comment 11 Nathan 2018-10-19 03:42:55 UTC
Comment on attachment 198252 [details]
guake.diff

Need to re-add the %%NLS%% to the locale files. The reason is, if a person turns off NLS, there will be a plist error, as it expects those files to be there, but isn't because option was turned off
Comment 12 Alexandre C. Guimarães freebsd_committer 2018-10-26 17:36:06 UTC
Created attachment 198671 [details]
Update x11/guake to version 3.4.0

Minor fixer over the submitted patch.

Thanks!
Comment 13 commit-hook freebsd_committer 2018-11-10 19:16:30 UTC
A commit references this bug:

Author: rigoletto
Date: Sat Nov 10 19:15:39 UTC 2018
New revision: 484632
URL: https://svnweb.freebsd.org/changeset/ports/484632

Log:
  x11/guake: Update to version 3.4.0

  - Pass maintainership to submitter

  PR:		232163
  Submitted by:	Daniel Shafer <daniel@shafer.cc>
  Approved by:	tcberner (mentor), nivit (maintainer timeout, 30 days)
  Differential Revision:	https://reviews.freebsd.org/D17726

Changes:
  head/x11/guake/Makefile
  head/x11/guake/distinfo
  head/x11/guake/files/patch-data_Makefile.am
  head/x11/guake/files/patch-data__guake-prefs.desktop.in
  head/x11/guake/files/patch-data__guake.desktop.in
  head/x11/guake/files/patch-guake_paths.py
  head/x11/guake/files/patch-guake_terminal.py
  head/x11/guake/pkg-plist
Comment 14 Alexandre C. Guimarães freebsd_committer 2018-11-10 19:17:55 UTC
Thank you.